@import url('https://fonts.googleapis.com/css?family=Roboto:300,400,500,700');
body{
  user-select:none;
}
a:link{
  text-decoration: none;

}
header{
  position:absolute;
  top:0;
  left:0;
  width:100vw;
  height:60px;
  background-color:#1F1F1F;
  line-height:60px;
  .left{
    float:left;
  }
  .right{
    float:right;
  }
  .item{
    float:left;
    height:60px!important;
    display:block;
    padding-left:5px;
    padding-right:5px;
    color:#9D9D9D;
    font-family:"Roboto", "sans-serif";
    font-size:18px;
    .actionbutton{
      height:34px;
      margin-top:13px;
      line-height:36px;
      padding-left:15px;
      padding-right:15px;
      border-radius:20px;
      background-color:white;
      text-transform: uppercase;
      font-weight:bold;
      font-size:14px;
    }
    &.padded{
      padding-left:20px;
      padding-right:20px; 
    }
    &.action:hover{
      background-color: #232323;
      cursor:pointer;
    }
    &.active{
      color:#FFBE4F;
    }
  }
  .title{
    font-size:30px;
    color:#E99200;
    font-family:"Roboto", "sans-serif";
    font-weight:700;
  }
}
.content {
  position:absolute;
  top:60px;
  left:0;
  width:100%;
  height:calc(100vh - 100px);
  background-color: #313131;
  overflow:hidden;
  overflow-y:auto;
  background-image: url(../images/background-pattern.png);
  padding-top:10px;
  padding-bottom:10px;
}
footer{
  position:absolute;
  bottom:0;
  left:0;
  width:100vw;
  height:40px;
  background-color:#1F1F1F;
  text-align:center;
  line-height:40px;
  color:#6A6A6A;
  font-family: "Roboto", "sans-serif";
  font-weight:700;
}
footer span{
  color:#E99200;
}


/* width */
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: transparent;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #555;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #E99200;
  cursor: pointer;
}

#allgames{
  width: calc(100% - 20px);
  margin: auto;
  margin-top:20px;
}
#allgames .title{
  font-size:35px;
  line-height:20px;
  font-family: "Roboto", "sans-serif";
  color:#D6D6D6;
}
#allgames .results{
  font-siz:20px;
  line-height:70px;
  font-family: "Roboto", "sans-serif";
  color: #c2c2c2;
}
#allgames .game{
  width: 100%;
  height: 250px;
  background-color: #595959;
  margin-bottom:20px;
  border:2px solid transparent;
  border-radius:4px;
  position:relative;
  overflow:hidden;
  transition: border-color 0.1s ease-in-out;
  &:hover{
    border-color:white;
  }
}
#allgames .game .image{
  position:absolute;
  top:0;
  left:0;
  width:100%;
  height: calc(100% - 70px);
  background-color:white;
  background-size:cover;
}
#allgames .game .extra{
  position:absolute;
  bottom: 0;
  left:0;
  width:100%;
  height:70px;
}
#allgames .game .extra .title{
  position:absolute;
  width:calc(100% - 100px);
  height:70px;
  line-height:70px;
  /*background-color:orange;*/
  padding-left:10px;
  padding-right:10px;
  font-size:23px;
  white-space:nowrap;
  overflow:hidden;
  text-overflow:ellipsis;
}
#allgames .game .extra .currency-money{
  position:absolute;
  width:100px;
  height:70px;
  /*background-color:red;*/
  color:white;
  right:0;
  bottom:0;
  line-height:45px;
  text-align:center;
  font-family:"Roboto", "sans-serif";
  font-weight:bold;
}
#allgames .game .extra .currency-bucks{
  position:absolute;
  width:100px;
  height:70px;
  color:white;
  right:0;
  bottom:0;
  line-height:100px;
  text-align:center;
  font-family:"Roboto", "sans-serif";
  font-weight:bold;
}
#allgames .search{
  width: 100%;
  height: calc(100vh - 160px);
  background-color: #595959;
  border-radius:5px;
  padding:10px;
  font-family:"Roboto","sans-serif";
  h2{
    padding:10px;
    margin:0px;
    color: #e5e5e5;
    font-size:35px;
  }
  p{
    padding:5px;
    margin:0;
    color: #d9d9d9;
    font-size:25px;
  }
  input[type=text]{
    width:100%;
    padding:10px;
    font-size:20px;
    background-color:#1F1F1F;
    border:2px solid transparent;
    border-radius:3px;
    color:white;
    font-weight:bold;
    &::placeholder{
      color:orange;
    }
  }
  input[type=submit] {
    width: 100%;
    padding: 10px;
    font-size: 20px;
    background-color: #E99200;
    border: 2px solid transparent;
    border-radius: 3px;
    color: white;
    font-weight: bold;
  }
  input[type=text]:focus{
    outline:none;
  }
  color:white;
  font-size:16px;
  .nogamesfound{
    color:red;
  }
}
.box{
  background-color: #595959;
  width:100%;
  border-radius:5px;
  &.padded{
    padding:10px;
  }
}
#account{
  width:calc(100% - 20px);
  margin:auto;
  margin-top:20px;
  h1.title{
    font-family: "Roboto", "sans-serif";
    color: #e1e1e1;
    font-size:35px;
  }
  label{
    line-height:50px;
    font-size:30px;
    font-family: "Roboto", "sans-serif";
    color:white;
    
  }
  input[type=text], input[type=password]{
    width:100%;
    padding:5px;
    font-size:35px;
    background-color:#595959;
    border:2px solid transparent;
    border-radius:3px;
    color:white;
  }
  input[type=submit]{
    width:100%;
    padding:10px;
    font-size:25px;
    font-weight:bold;
    background-color:#E99200;
    border:2px solid transparent;
    border-radius:3px;
    color:white;
  }
  #accountmenu{
    .item:first-child{
      border-top-left-radius:5px;
      border-top-right-radius:5px;
    }
    .item:last-child{
      border-bottom-left-radius:5px;
      border-bottom-right-radius:5px;
    }
    .item{
      display:block;
      width:100%;
      height:60px;
      line-height:60px;
      //background-color:red;
      padding-left:20px;
      padding-right:20px;
      color:white;
      font-family: "Roboto", "sans-serif";
      font-size:20px;
      transition:background-color 0.2s ease-in-out;
      &.active{
        background-color:#2a2a2a;
      }
    }
    .item:hover {
      background-color: #1f1f1f;
    }
  }
  .purchases-title{
    font-size:35px;
    font-family: "Roboto", "sans-serif";
    font-weight:bold;
    color:#D6D6D6;
    margin-top:20px;
    margin-bottom:20px;
  }
  .purchases{
    max-height:calc(100vh - 250px);
    overflow:scroll;
    margin:auto;
    .purchase{
      margin-bottom:20px;
      display:flex;
      align-items:center;
      width:100%;
      height:100px;
      background-color:#1F1F1F;
      font-family: "Roboto", "sans-serif";
      color:#D6D6D6;
      .purchase-image{
        width:150px;
        height:100%;
        background-repeat:no-repeat;
        background-size:cover;
        flex-basis:150px;
      }
      .purchase-title{
        flex:1;
        text-align:center;
        font-size:25px;
      }
      .purchase-key{
        flex:1;
        text-align:center;
        font-size:20px;
      }
    }  
  }
  
}
#game{
  width:calc(100% - 40px);
  margin:auto;
  margin-top:40px;
  .bigimage{
    width:100%;
    height:300px;
    background-size:cover;
    border-radius:5px;
  }
  .title{
    font-size:40px;
    color:#E99200;
    font-family:"Roboto", "sans-serif";
    font-weight:bold;
  }
  .description{
    padding:10px;
    width:100%;
    font-size:25px;
    color:#CDCDCD;
    font-family:"Roboto", "sans-serif";
    max-height:300px;
    border-bottom:1px solid #575757;
  }
  .cost-indicator{
    margin-top:50px;
    width:100%;
    height:80px;
    //background-color:red;
    position:relative;
    color:white;
    font-size:50px;
    line-height:80px;
    text-align:center;
    font-family:"Roboto", "sans-serif";
    .indicator{
      border-radius:50px;
      text-align:center;
      line-height:60px;
      width:30%;
      height:60px;
      background-color:#E99200;
      font-size:20px;
      border:0px;
    }
    .money{
      position:absolute;
      top:10px;
      left:10px;

    }
    .points{
      position:absolute;
      top:10px;
      right:10px;
    }
  }
  .reviews{
    font-family: "Roboto", "sans-serif";
    margin-top:20px;
    .reviewstitle{
      font-size:30px;
      color:#646464;
      font-weight:bold;
    }
    .reviewlist{
      max-height:calc(100vh - 500px);
      overflow:auto;
    }
    .review{
      width:100%;
      padding:15px;
      padding-top:110px;
      background-color:#1F1F1F;
      margin-bottom:10px;
      position:relative;
      color: #e1e1e1;

      .authorpicture{
        position:absolute;
        top:15px;
        left:15px;
        width:50px;
        height:50px;
        border-radius:100%;
      }
      .authorname{
        position:absolute;
        top:15px;
        left:100px;
        //background-color:red;
        width:calc(100% - 130px);
        height:50px;
        line-height:50px;
        font-size:30px;
        font-weight:bold;
        color: #b9b9b9;
      }
    }
  }
}
.alert{
  width:100%;
  padding:20px;
  background-color:white;
  color:black;
  font-family:"Roboto", "sans-serif";
  border-radius:3px;
  margin-bottom:25px;
  i{
    min-width:15px;
    margin-right:10px;
    text-align:center;
  }
  &.alert-error{
    color:white;
    background-color:red;
    
  }
  &.alert-info{
    color:white;
    background-color: #1ca1ff;
  }
  &.alert-success{
    color:white;
    background-color: #22b902;
  }
  .alert-title{
    font-weight:bold;
    font-size:20px;
    margin-bottom:20px;
  }
}
.loginform{
  margin-top:50px;
  width:100%;
  padding:30px;
  background-color:#1F1F1F;
  font-family: "Roboto", "sans-serif";
  label{
    display:block;
    font-weight:bold;
    margin-top:25px;
    margin-bottom:15px;
    font-size:20px;
    color:white;
  }
  input[type=text], input[type=password], textarea{
    width:100%;
    padding:10px;
    font-size:16px;
    font-weight:bold;
    color:white;
    background-color:#313131;
    border:2px solid transparent;
    border-radius:3px;
    transition:border-color 0.2s ease-in-out;
  }
  textarea{
    resize: vertical;
  }
  input[type=text]:focus, input[type=password]:focus{
    outline:none;
    border-color:#E99200;
  }
  input[type=submit], a.loginbutton{
    display:block;
    width:100%;
    padding:10px;
    font-size:20px;
    font-weight:bold;
    background-color:#E99200;
    border:2px solid transparent;
    color:white;
    border-radius:3px;
    margin-top:30px;
    text-align:center;
  }
  input[type=submit]:hover{
    cursor:pointer;
  }
}
.box.box-gbucks{
  color: #373737;
  text-align:center;
  padding:25px;
  font-family: "Roboto", "sans-serif";
  .title{
    font-size:35px;
    margin-bottom:10px;
  }
  .amount{
    font-size:80px;
    font-weight:bold;
    color:#E99200;
  }
}
a.button{
  text-decoration:none;
  color:white;
}
.button{
  padding-top:15px;
  padding-bottom:15px;
  padding-left:25px;
  padding-right:25px;
  font-size:20px;
  font-weight:bold;
  border-radius:3px;
  text-align:center;
  transition:background-color 0.1s ease-in-out;
  &.button-primary{
    background-color:#E99200;
  }
  &.button-secondary{
    background-color:#595959;
  }
  &.button-block{
    display:block;
    width:100%;
  }
  &.button-primary-hover:hover{
    background-color:#E99200;
  }
}
.index{
  width:100%;
  height:100%;
  align-items:center;
  justify-content: center;
  //background-color:orange;
  display:flex;
  .images{
    //background-color:green;
    flex:1;
    display:flex;
    justify-content:center;
    .image{
      display:flex;
      flex-direction: column;
      flex-basis:500px;
      align-items:center;
      justify-content: center;
      text-align:center;
      //background-color:red;      
      div{
        background-repeat:no-repeat;
        background-size:contain;
        width:100%;
        height:300px;
      }
      .slogan{
        color:white;
        font-family: "Roboto", "sans-serif";
        font-size:30px;
        flex-basis:50px;
        
      }
      //background-color:red;
      //border: 5px solid brown;
      margin-left:  30px;
      margin-right:30px;
    }
  }
}
.error{
  width:100%;
  background-color:red;
  color:white;
  border-radius:4px;
  margin-bottom:10px;
  padding:12px;
}

.purchaseStats{
  font-family: "Roboto", "sans-serif";
  width: 100%;
  background-color:black;
  color:white;
  .purchaseStat{
    display:flex;
    div{
      flex:1;
    }
    padding:10px;
    border-top:1px solid #414141;
    &:first-child{
      border-top:0;
      background-color:#E99200;
    }
  }
  
}